package leaf.ui;

import javax.swing.JOptionPane;

import com.evolute.utils.error.ErrorLogger;

public class LeafError
{
	
	public static void error( Throwable e )
	{
		if( e != null )
		{
			ErrorLogger.logException( e );
			e.printStackTrace(System.out);
			JOptionPane.showMessageDialog( null, "Detalhes: \n"+e.getMessage(), "Erro!", JOptionPane.ERROR_MESSAGE );
		}
	}
	
}
